com.google.gwt.dom.builder.client

## Class DomTableCellBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.client.DomElementBuilderBase<TableCellBuilder,TableCellElement>
    - - com.google.gwt.dom.builder.client.DomTableCellBuilder

- All Implemented Interfaces:
    ElementBuilderBase<TableCellBuilder>, TableCellBuilder

      public class DomTableCellBuilder
      extends DomElementBuilderBase<TableCellBuilder,TableCellElement>
      implements TableCellBuilder

  DOM-based implementation of `TableCellBuilder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomTableCellBuilder(DomBuilderImpl delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableCellBuilder` | `align(java.lang.String align)` Horizontal alignment of data in cell.
    `TableCellBuilder` | `ch(java.lang.String ch)` Alignment character for cells in a column.
    `TableCellBuilder` | `chOff(java.lang.String chOff)` Offset of alignment character.
    `TableCellBuilder` | `colSpan(int colSpan)` Number of columns spanned by cell.
    `TableCellBuilder` | `headers(java.lang.String headers)` List of id attribute values for header cells.
    `TableCellBuilder` | `rowSpan(int rowSpan)` Number of rows spanned by cell.
    `TableCellBuilder` | `vAlign(java.lang.String vAlign)` Vertical alignment of data in cell.

    - ### Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

      `assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

      `end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Constructor Detail

    - #### DomTableCellBuilder

          DomTableCellBuilder(DomBuilderImpl delegate)

  - ### Method Detail

    - #### align

          public TableCellBuilder align(java.lang.String align)

      Description copied from interface: `TableCellBuilder`
      Horizontal alignment of data in cell.
      Specified by:
        `align` in interface `TableCellBuilder`
      See Also:
        W3C HTML Specification

    - #### ch

          public TableCellBuilder ch(java.lang.String ch)

      Description copied from interface: `TableCellBuilder`
      Alignment character for cells in a column.
      Specified by:
        `ch` in interface `TableCellBuilder`
      See Also:
        W3C HTML Specification

    - #### chOff

          public TableCellBuilder chOff(java.lang.String chOff)

      Description copied from interface: `TableCellBuilder`
      Offset of alignment character.
      Specified by:
        `chOff` in interface `TableCellBuilder`
      See Also:
        W3C HTML Specification

    - #### colSpan

          public TableCellBuilder colSpan(int colSpan)

      Description copied from interface: `TableCellBuilder`
      Number of columns spanned by cell.
      Specified by:
        `colSpan` in interface `TableCellBuilder`
      See Also:
        W3C HTML Specification

    - #### headers

          public TableCellBuilder headers(java.lang.String headers)

      Description copied from interface: `TableCellBuilder`
      List of id attribute values for header cells.
      Specified by:
        `headers` in interface `TableCellBuilder`
      See Also:
        W3C HTML Specification

    - #### rowSpan

          public TableCellBuilder rowSpan(int rowSpan)

      Description copied from interface: `TableCellBuilder`
      Number of rows spanned by cell.
      Specified by:
        `rowSpan` in interface `TableCellBuilder`
      See Also:
        W3C HTML Specification

    - #### vAlign

          public TableCellBuilder vAlign(java.lang.String vAlign)

      Description copied from interface: `TableCellBuilder`
      Vertical alignment of data in cell.
      Specified by:
        `vAlign` in interface `TableCellBuilder`
      See Also:
        W3C HTML Specification